Page MenuHomePhabricator

Facilitate Wikidev'17 main topic "How to manage our technical debt"
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/How_to_manage_our_technical_debt

  • Facilitators (main: @greg, secondary: @daniel )
  • Problem statement
  • Expectations
  • Links
  • Key contributors invited

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedQgil
Resolvedgreg
Declineddaniel
Opendaniel
Resolveddaniel
ResolvedJoe
OpenArrbee
ResolvedAklapper
ResolvedJoe
ResolvedJoe
ResolvedNone
ResolvedVolans
ResolvedJoe
ResolvedVolans
Resolvedjcrespo
ResolvedLegoktm
Resolvedgreg

Event Timeline

greg created this task.Oct 12 2016, 4:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2016, 4:07 PM

Last year, @MrStradivarius suggested "Standardise procedures for deprecating public-facing code" (T114384) as a topic for Wikimedia-Developer-Summit-2016. Since his initial proposal, the topic hasn't exactly been solved. We have T121204 and T146965, and we at WMF are struggling with how to deal with deployed components that don't have clear owners (see T128370).

We have this page:
https://www.mediawiki.org/wiki/Deprecation

...which has an interesting edit history.

Perhaps we can spend some time before/during/after the summit coming to some agreement on what mw:Deprecation should actually say on it.

greg added a comment.Oct 14 2016, 4:48 PM

Perhaps we can spend some time before/during/after the summit coming to some agreement on what mw:Deprecation should actually say on it.

+1! I presume we can help move @Legoktm's RFC forward between now and then? That *feels* like the right thing to push on to me at least. But, that one is scoped narrowly to only MW Core internals (see: https://www.mediawiki.org/wiki/Requests_for_comment/Deprecation_policy#Scope)

Re https://www.mediawiki.org/wiki/Deprecation I would *love* if that page linked to all of the deprecation policies in use by the various things Wikimedia developers own (ie: not Node's deprecation policy, but Parsoid's/Service's).

greg updated the task description. (Show Details)Nov 2 2016, 9:33 PM
greg added a subscriber: daniel.
greg closed this task as Resolved.Jan 17 2017, 7:28 PM
greg moved this task from Backlog to Done on the User-greg board.